The Spring Framework

## org.springframework.web.servlet
Interface RequestToViewNameTranslator

All Known Implementing Classes:
  DefaultRequestToViewNameTranslator

    public interface RequestToViewNameTranslator

Strategy interface for translating an incoming `HttpServletRequest` into a logical view name when no view name is explicitly supplied.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

Method Summary
`String` `getViewName(HttpServletRequest request)` Translate the given `HttpServletRequest` into a view name.

Method Detail

### getViewName

    String getViewName(HttpServletRequest request)
                       throws Exception

  Translate the given `HttpServletRequest` into a view name.

  Parameters:
    `request` - the incoming `HttpServletRequest` providing the context from which a view name is to be resolved
  Returns:
    the view name (or `null` if no default found)
  Throws:
    `Exception` - if view name translation fails

The Spring Framework

Copyright © 2002-2008 The Spring Framework.